summaryrefslogtreecommitdiffstats
path: root/Doc/tools
diff options
context:
space:
mode:
authorFred Drake <fdrake@acm.org>1999-07-27 16:29:30 (GMT)
committerFred Drake <fdrake@acm.org>1999-07-27 16:29:30 (GMT)
commit5772f33b6ce31a61714f25b6c6b2b1e6b157e86f (patch)
tree2b6f9d9fc89bc1e316a233be1b87cbc4efa05e19 /Doc/tools
parentb5213c30108c5aa865d262eabde6c79e53d9e574 (diff)
downloadcpython-5772f33b6ce31a61714f25b6c6b2b1e6b157e86f.zip
cpython-5772f33b6ce31a61714f25b6c6b2b1e6b157e86f.tar.gz
cpython-5772f33b6ce31a61714f25b6c6b2b1e6b157e86f.tar.bz2
Add support for bzip2 using --bzip2.
Diffstat (limited to 'Doc/tools')
-rwxr-xr-xDoc/tools/mktarball.sh15
1 files changed, 11 insertions, 4 deletions
diff --git a/Doc/tools/mktarball.sh b/Doc/tools/mktarball.sh
index 9ec622b..fd8bbab 100755
--- a/Doc/tools/mktarball.sh
+++ b/Doc/tools/mktarball.sh
@@ -16,6 +16,9 @@
# VERSION='$Revision$'
+GZIP='gzip -9'
+GZIPEXT=tgz
+
if [ "$1" = "-t" -o "$1" = "--tools" ] ; then
shift 1
TOOLS_ONLY=true
@@ -24,10 +27,15 @@ if [ "$1" = "-z" -o "$1" = "--zip" ] ; then
shift 1
USE_ZIP=true
fi
-if [ "$1" = "-g" -o "$1" = "--targz" ] ; then
+if [ "$1" = "-g" -o "$1" = "--targz" -o "$1" = "--tgz" ] ; then
shift 1
USE_ZIP=''
fi
+if [ "$1" = "-b" -o "$1" = "--bz2" -o "$1" = "--bzip2" ] ; then
+ shift 1
+ GZIP='bzip2 -9'
+ GZIPEXT=tar.bz2
+fi
RELEASE=$1; shift
@@ -57,17 +65,16 @@ if [ "$TOOLS_ONLY" ] ; then
rm -rf api ext lib mac ref tut
cd ..
if [ "$USE_ZIP" ] ; then
- pwd
zip -r9 tools-$RELEASE.zip Doc || exit
else
- (tar cf - Doc | gzip -9 >$MYDIR/tools-$RELEASE.tgz) || exit $?
+ (tar cf - Doc | $GZIP >$MYDIR/tools-$RELEASE.$GZIPEXT) || exit $?
fi
else
cd $TEMPDIR
if [ "$USE_ZIP" ] ; then
zip -r9 $MYDIR/latex-$RELEASE.zip Python-$RELEASE || exit $?
else
- (tar cf - Python-$RELEASE | gzip -9 >$MYDIR/latex-$RELEASE.tgz) \
+ (tar cf - Python-$RELEASE | $GZIP >$MYDIR/latex-$RELEASE.$GZIPEXT) \
|| exit $?
fi
fi